GET /storage/buckets/{bucket_id}
Get a bucket
Exact scope storage:read. Hidden surface: 404 not_found until the Galon Object opt-in is enabled.
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
bucket_id | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Bucket | StorageBucket |
401 | Key missing or invalid | Error |
403 | scope_missing (storage:read) | Error |
404 | storage_bucket_not_found, not_found | Error |
503 | storage_temporarily_unavailable | Error |
Examples
curl
curl -X GET "$GALON_API_BASE/storage/buckets/<bucket_id>" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.buckets.get("<id>");Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.buckets.get("<id>")